
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UML之包图 / iVAN</title>

    <meta name="description" content="UML之包图 1.概念    当对一个比较复杂的软件系统进行建模时,会有大量的类.接口.组件.节点和图需要处理:如果放在同一个地方的话,信息量非常的大,显得很乱,不方便查询,所以就对这些信息进行分组,将语义或者功能相同的放在同一个包中,这样就便于理解和处理整个模型.    而包图就是描述包与包之间的关系.    2.包的元素    类.接口.构件.节点.协作.用例.图和子包.需要注意的是:一个元素只能属于一个包.    每一个包就是一个独立的命名空间,两个不同的包之中可以有相同的元素名,只是所处的包不同,其全">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">UML之包图</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>1、概念</h1>
<p>   当对一个比较复杂的软件系统进行建模时，会有大量的类、接口、组件、节点和图需要处理；如果放在同一个地方的话，信息量非常的大，显得很乱，不方便查询，所以就对这些信息进行分组，将语义或者功能相同的放在同一个包中，这样就便于理解和处理整个模型。</p>
<p>   而包图就是描述包与包之间的关系。</p>
<p>  <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTExNDMzMTQyOTY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMDUxNjM2NTM5MjE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h1>2、包的元素</h1>
<p>   类、接口、构件、节点、协作、用例、图和子包。需要注意的是：一个元素只能属于一个包。</p>
<p>  <br />
每一个包就是一个独立的命名空间，两个不同的包之中可以有相同的元素名，只是所处的包不同，其全名不同。</p>
<h1>3、包的可见性</h1>
<table>
<tbody>
<tr>
<td>包的可见性</td>
<td>访问权限</td>
</tr>
<tr>
<td>“+” --public</td>
<td>公共元素对所有引入的包以及他们的后代都可见</td>
</tr>
<tr>
<td>“#”--protected</td>
<td>只对那些与包含这些元素的包有泛化（继承）关系的包可见</td>
</tr>
<tr>
<td>“-”--private</td>
<td>对包外元素完全不可见</td>
</tr>
</tbody>
</table>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTExNDE3MDg4NDM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h1>4、包图中的关系</h1>
<h2>  依赖关系</h2>
<p>  如果一个包要访问或者导入另一个包中的元素，则两个包之间存在着依赖关系。</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTIxMDQzNTgzOTA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h3>  《use》关系</h3>
<p>   客户包依赖于提供者包，默认依赖关系</p>
<p>   <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTIxMTEzMTAzOTA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h3>  《import》关系</h3>
<p>   客户包中的元素能够访问提供者包中的所有元素</p>
<p>   <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTIxMTE1MTEzOTA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h3>  《access》关系</h3>
<p>   只想使用提供者包中的元素，而不想将其命名空间合并应使用该关系</p>
<p>   <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTIxMTE3MjY5MDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h3>  《trace》关系</h3>
<p>   表示一个包到另一个包的历史发展</p>
<p>   <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTIxMTE4MDgwMDA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW14MGN6QXdNQT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h2>  泛化关系</h2>
<p>  说明包的家族</p>
<p> </p>
<p> </p>
<p> </p>
<p>  </p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 10:05:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>UML之包图的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RgOkb.html" rel="bookmark">&lbrack;UML&rsqb;UML系列&mdash;&mdash;包图Package</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章       [UML]UML系列--用例图Use Case       [UML]UML系列--用例图中的各种关系(include.extend)       [UML]UML系列--类图Class       [UML]UML系列--类图class的关联关系(聚合.组合)       [UML]UML系列--类图class的依赖关系       [UML]UML系列--类图class的泛化关系       [UML]UML系列--类图class的实现关系Realization 引言			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqdNdb.html" rel="bookmark">&lbrack;UML&rsqb;UML系列&mdash;&mdash;状态机图statechart diagram</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章 [UML]UML系列--用例图Use Case [UML]UML系列--用例图中的各种关系(include.extend) [UML]UML系列--类图Class [UML]UML系列--类图class的关联关系(聚合.组合) [UML]UML系列--类图class的依赖关系 [UML]UML系列--类图class的泛化关系 [UML]UML系列--类图class的实现关系Realization [UML]UML系列--包图Package [UML]UML系列--活动图activity			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVYamb.html" rel="bookmark">&lbrack;UML&rsqb;UML系列&mdash;&mdash;时序图（顺序图）sequence diagram</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章 [UML]UML系列--用例图Use Case [UML]UML系列--用例图中的各种关系(include.extend) [UML]UML系列--类图Class [UML]UML系列--类图class的关联关系(聚合.组合) [UML]UML系列--类图class的依赖关系 [UML]UML系列--类图class的泛化关系 [UML]UML系列--类图class的实现关系Realization [UML]UML系列--包图Package [UML]UML系列--活动图activity			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLWZnM.html" rel="bookmark">&lbrack;UML&rsqb;UML系列&mdash;&mdash;活动图activity diagram</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章 [UML]UML系列--用例图Use Case [UML]UML系列--用例图中的各种关系(include.extend) [UML]UML系列--类图Class [UML]UML系列--类图class的关联关系(聚合.组合) [UML]UML系列--类图class的依赖关系 [UML]UML系列--类图class的泛化关系 [UML]UML系列--类图class的实现关系Realization [UML]UML系列--包图Package 活动图的引入:先上实例       实例描述:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yxmBz.html" rel="bookmark">UML包图学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				包图是UML中用类似于文件夹的符号表示的模型元素的组合,系统中的每个元素都只能为一个包所有,一个包可嵌套在另一个包中,使用包图可将相关元素归入一个系统,一个包中包含附属包.图表或单个元素.简单的来说,我们可以直接将包理解为命名空间,文件夹,是用来组织图形的封装,包图可以用来表述功能组命名空间的组织层次 那么为什么会出现&quot;包&quot;这个概念呢?我们知道,在面向对象软件开发的视角中,类显然是构件整个系统的基本构造块,但是对于庞大的应用系统而言,其包含的类不计其数,再加上类之间阡陌交通的关联关系.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rqjmz.html" rel="bookmark">UML之对象图、类图、包图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 我们在VB中都学过类和对象的关系,在UML中我们又接触到了类图.对象图.下面再为大家陈述一下类与对象的联系与区别.          首先说一下对象,对面描述的是一个事物,它具有状态.行为.标识.状态是指一个事物所具有的属性的值比如说,一个人的性别为女:行为是指一个对象将如何反应另一个对象,比如说一个老师向另一个老师派课,那么这个老师做出的反应就是去上那个老师指定的课:标识是指对象的名字.          下面说一下类,它是指一类具有相同属性的对象,比如说学生,他们都有名字.学号等:    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2da4z.html" rel="bookmark">&amp;lt&semi;十四&amp;gt&semi;UML核心视图静态视图之类图和包图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:类图(行为类和实体类) ---&gt;类图用于展示系统中的类及其相互之间的关系 ---&gt;概念层类图 ---&gt;说明层类图   二:概念层类图 ---&gt;概念层的观点认为:在这个层次的类图描述的是现实世界中问题领域的概念理解. ---&gt;在概念层上,类图着重于对问题领域的概念化理解,而不是实现,因此类名称通常都是问题领域中实际事物的名称.就是处于概念阶段. ---&gt;比如:网上购物主要由商品,订单,支付卡这几个类构成.   三:说明层类图 ---&gt;说明层类图是搭建在现实世界和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pke6YEb.html" rel="bookmark">UML&mdash;包图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一,什么是包图?             包图是包和包之间的关系构成,是维护和控制系统总体结构的重要建模工具,用于描述系统的分层结构.   二,使用包图的好处?          对复杂系统进行建模时,经常需要处理大量的类,接口,组件,节点和图,这时就有必要将这些元素进行分组,     即把那些语义相近并倾向于一起变换的元素组织起来加入同一包,这样方便理解和处理整个模型.同时也便于轻松地控制这些元素的可见性,使一些元素在包外可见,一些元素是隐藏在包内的,设计良好的包是高内聚,低耦合的,并且对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLavm0z.html" rel="bookmark">&lbrack;UML&rsqb;UML系列&mdash;&mdash;类图class的泛化关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章       [UML]UML系列--用例图Use Case       [UML]UML系列--用例图中的各种关系(include.extend)       [UML]UML系列--类图Class       [UML]UML系列--类图class的关联关系(聚合.组合)       [UML]UML系列--类图class的依赖关系 泛化关系的引入       在现实生活中,有时会出现一类事物具有另一类事物的全部特点,除此之外还有自身的特点.       例如:        &quot;不管			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boOlvb.html" rel="bookmark" class="title">XP系统手动制作exe文件关联修复器的方法</a>
					<div>
						XP系统手动制作exe文件关联修复器的方法   新建文本文档电脑常识 XP系统制作exe文件关联修复器的方法: 1.在桌面上空白处鼠标右键,弹出的快捷菜单指向&quot;新建&quot;,在下一级菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Eyrb.html" rel="bookmark" class="title">Web开发中常见的安全缺陷及解决办法</a>
					<div>
						web|安全|解决 一.不能盲目相信用户输入 二.五种常见的ASP.NET安全缺陷 2.1 篡改参数 2.2 篡改参数之二 2.3 信息泄漏 2.4 SQL注入式攻击 2.5 跨站脚本执行 三.使用自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqlaKb.html" rel="bookmark" class="title">百度算法更新 要告诉我们下一步如何走</a>
					<div>
						对于百度搜索引擎前段时间大幅度的调正算法,导致我们一些站长们的大度的K站,排名掉好几页.此次算法修改变度这也正是百度搜索引擎以后正要更注重于用户体验的方向下重手,打击非法网站和黑帽seo等等的网站,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjAn6p.html" rel="bookmark" class="title">如何才能加速交换机端口初始化的进程</a>
					<div>
						当把电脑连到一台交换机上时,可能需要30秒甚至更多的时间,电脑才可以使用网络进行通讯.如果你正着急等着要用,30秒的等待足以让你感觉无比漫长.让我们来看看如何才能加速交换机的端口初始化进程. 了解交换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Arlb.html" rel="bookmark" class="title">Kali Linux渗透测试实战 1&period;2 环境安装及初始化</a>
					<div>
						在1.1节,我们大致了解了Kali Linux的内置工具集,本节主要介绍虚拟机下的系统安装. 如果您需要定制或者采用其他方式安装系统,请参考官方文档,http://cn.docs.kali.org/. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Lrwb.html" rel="bookmark" class="title">Emit学习-基础篇-HelloWorld</a>
					<div>
						按照业界的惯例,我们用一个最简单的例子--&quot;Hello World&quot;,来开始我 们的Emit之旅.例子的相关代码及注释如下: using System; using System. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R8Wdp.html" rel="bookmark" class="title">ps怎么把图片变清晰</a>
					<div>
						原图 最终效果 1.打开素材图片,我们观察一下人物脸部区域,五官等都比较模糊. 2.按Ctrl + J 把背景图层复制一层,得到背景副本图层,如下图. 3.选择菜单:滤镜 &gt; 模糊 &gt; 高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yOwQz.html" rel="bookmark" class="title">360极速浏览器怎么卸载</a>
					<div>
						依次选择开始 &gt; 所有程序 &gt; 360互联网安全中心 &gt; 360极速浏览器 &gt; 卸载360浏览器. 或者,您可以用 Window XP控制面板中的添加或删除程序功能,或用 Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY3j0b.html" rel="bookmark" class="title">极速迅雷怎么修复浏览器</a>
					<div>
						  极速迅雷下载东西的速度很快,这个大家都知道,所以很多人会把它设置成浏览器的默认下载,有时候你浏览器出现问题使得不能支持极速迅雷下载,这个时候你就要修复下你的浏览器了,极速迅雷怎么修复浏览器呢?小编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1lA4b.html" rel="bookmark" class="title">simulink-关于svpwm MATLAB 仿真</a>
					<div>
						问题描述 关于svpwm MATLAB 仿真 最近在做毕业设计 题目是基于60°坐标系三项逆变器svpwm算法研究 已经进行到计算开关顺序选择 实在是读不懂了 怎么产生pwm波 搞不懂了 只完成了大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArO2Zp.html" rel="bookmark" class="title">IT人的算法书单：挖掘程序的灵魂</a>
					<div>
						我们都知道对于软件而言,最为经典的定义就是程序=算法+数据结构,算法对于软件的重要性不言而喻,甚至可以说算法是程序的灵魂所在.甚至有人说如果计算机系只开设三门课的话,那么一定是:离散数学.编译原理还有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBJknz.html" rel="bookmark" class="title">PHP中in&lowbar;array函数使用的问题与解决办法&lowbar;php技巧</a>
					<div>
						先介绍一下需求背景: 发票方式: 0=捐赠(不要问我为什么,历史原因) 1=对中寄送 2=索取 3=电子发票 现在要对用户提交的数据进行检测: php;auto-links:false;&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrmWVM.html" rel="bookmark" class="title">Core i7-4770K的详细性能</a>
					<div>
						新品发布前总能看到一些规格.性能方面的偷跑,但大多都是零零碎碎的,关键时刻还得看权威大站.Tom's Hardware今天放出猛料,公布了Intel Haswell处理器家族旗舰型号Core i7-4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P9VVp.html" rel="bookmark" class="title">从零开始学&lowbar;JavaScript&lowbar;系列（23）&mdash;&mdash;css&amp;amp&semi;lt&semi;5&amp;amp&semi;gt&semi;滚动条，Tab，spellcheck，img放置</a>
					<div>
						(21)滚动条的美化 for chrome内核: /* 有这行才有效,滚动条的宽度 */ ::-webkit-scrollbar { width: 12px; } /* 滚动条的背景 */ ::-we ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxow3yb.html" rel="bookmark" class="title">kindeditor &lpar;jsp&rpar; 上传图片报服务器错误</a>
					<div>
						问题描述 kindeditor (jsp) 上传图片报服务器错误 小弟不是太懂jsp,但是最近在做一个项目,页面中使用了kindeditor.上传图片的时候,总是会出现错误.上网找了很多资料,发现可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA7G6M.html" rel="bookmark" class="title">target-tornado 串口调试的问题</a>
					<div>
						问题描述 tornado 串口调试的问题 哪位大神大姐大哥帮帮忙啊,加载内核的时候出现这个问题,困扰好久了!! rpccore backend client Timed out Error perfo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3615z.html" rel="bookmark" class="title">opengl-OpenGl绘制的三维线段不显示？</a>
					<div>
						问题描述 OpenGl绘制的三维线段不显示? 我想在画茶壶的4个视区加边框,但是线段不显示? glBegin(GL_LINES); glVertex3f(-10.0f,0.0f,0.0f); glVe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBn11b.html" rel="bookmark" class="title">mongoDB 启动与停止</a>
					<div>
						MongoDB是一个基于分布式文件存储的数据库.由C++语言编写.旨在为WEB应用提供可扩展的高性能数据存储解决方案.它以高性能.易部署.易使用,存储数据非常方便等优点被广泛使用.其安装配置相当简单, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12OVjp.html" rel="bookmark" class="title">Windows Mobile Gprs连接与数据传输</a>
					<div>
						此模块分两部分完成,传输数据用socket ,要使用socket在ppc上进行数据传输,就要谁让ppc自动连接gprs .其中套接字和gprs链接分别进行说明.   一 ,应用程序在进行其它所需的Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RBnBz.html" rel="bookmark" class="title">美视频网站Joost决定改头换面</a>
					<div>
						北京时间7月1日早间消息,据国外媒体报道,网络视频门户站点Joost周二宣布了一项管理层改组及裁员计划,同时表示该公司计划自我重建为技术提供商. 将在此次改组及裁员活动中下台的Joost CEO迈克· ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JgRmz.html" rel="bookmark" class="title">细思极恐！最安全的Telegram账户信息也免不了被破解</a>
					<div>
						Telegram被称为是最安全的即时通讯应用,所以它在伊郎等地也十分受欢迎,有上千万用户.不过最近的一次事件表明,它可能没想像中的安全. 两位研究人员Collin Anderson和Claudio G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Laeb.html" rel="bookmark" class="title">讲解C&plus;&plus;的do while循环和循环语句的嵌套使用方法&lowbar;C 语言</a>
					<div>
						用do-while语句构成循环do-while语句的特点是先执行循环体,然后判断循环条件是否成立.其一般形式为: do 语句 while (表达式); 它是这样执行的:先执行一次指定的语句(即循环体) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Ae8p.html" rel="bookmark" class="title">Oracle创建自增字段--ORACLE SEQUENCE的简单使用介绍&lowbar;oracle</a>
					<div>
						先假设有这么一个表: 复制代码 代码如下: create table S_Depart ( DepartId INT not null, DepartName NVARCHAR2(40) not nu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdljnp.html" rel="bookmark" class="title">环信EaseUI怎么用Cocoapods导入到项目中</a>
					<div>
						问题描述 解决方案 profile中这么写pod 'EaseUI', :git =&gt; 'https://github.com/easemob/easeui-ios-cocoapods.git'					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvjGXb.html" rel="bookmark" class="title">两个女站长因友情链接结缘</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 交换连接是现在站长增加外链的重要手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YBKvz.html" rel="bookmark" class="title">如何做好SEO优化 提升内容权重</a>
					<div>
						SEO优化对于现在的企业是一个想在网络上拓展业务的最实惠的方法,不少公司没有选择B2B的阿里巴巴,引擎的竞价广告.这些东西都是非常昂贵的,对于一些不是很大的公司是负担不起的.可见SEO优化对于中国网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdl9eb.html" rel="bookmark" class="title">预防接种有疑问南昌家长可进QQ群咨询</a>
					<div>
						本报讯 记者淦丹丹报道:儿童疫苗接种是http://www.aliyun.com/zixun/aggregation/35574.html&quot;&gt;社会热点问题,日前,南昌市疾控机构尝鲜互动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxg9xGb.html" rel="bookmark" class="title">爱游戏精品指南第41期</a>
					<div>
						保护橙子前言:苹果iPhone资深玩家以及正版软件 用户对于苹果App Store限时免费与冰点降价应用可谓是情有独钟,随着苹果iOS系统平台 应用数量的不断增长,每日的限时免费与冰点降价应用也愈加增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNOD8dp.html" rel="bookmark" class="title">QQ网购商城合二为一 腾讯整合或再砸6亿</a>
					<div>
						在阿里巴巴对旗下的淘宝.天猫等进行一系列调整后,国内另一http://www.aliyun.com/zixun/aggregation/34467.html&quot;&gt;电商巨头也动作频频.上周 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEdY0Zz.html" rel="bookmark" class="title">大小S登《VOGUE》台湾版九月号封面演绎双生花</a>
					<div>
						&lt;VOGUE&gt;台湾版九月号封面人物--大小S,受访时,两人一搭一唱,彷佛又回到当年主持娱乐新闻一样的娱乐性十足.[page][page] [page] [page] [page] [pag ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
